Name:           setup-tool
Version:        1.4.103c
Release:        1
Summary:        A simple setup tool suit
BuildArch:	x86_64

License:        MPL v2
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
Requires:       neofetch
Requires:       setup-tool-cli
Requires:       setup-tool-tui
#Requires:      setup-tool-gui
#Requires:      setup-tool-gui-beta

%description
A simple setup program for Fedora

%prep
%setup -q


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/doc/setup-tool/
mkdir -p %{buildroot}/%{_mandir}/man1
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps/
mkdir -p %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps/
mkdir -p %{buildroot}/%{_datadir}/applications/
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
gcc setup-tool.c -o setup-tool
cp setup-tool %{buildroot}/%{_bindir}
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}
cp README.md %{buildroot}/%{_datadir}/doc/%{name}
cp Setup-Tool.desktop %{buildroot}/%{_datadir}/applications
cp setup-tool-512.png %{buildroot}/%{_datadir}/icons/hicolor/512x512/apps
cp setup-tool-128.png %{buildroot}/%{_datadir}/icons/hicolor/128x128/apps
cp setup-tool.1 %{buildroot}/%{_mandir}/man1
chmod -x %{buildroot}/%{_mandir}/man1/setup-tool.1


%files
%license %{_datadir}/licenses/setup-tool/LICENSE
%doc %{_datadir}/doc/setup-tool/README.md
%{_bindir}/setup-tool
%{_datadir}/applications/Setup-Tool.desktop
%{_datadir}/icons/hicolor/512x512/apps/setup-tool-512.png
%{_datadir}/icons/hicolor/128x128/apps/setup-tool-128.png
%{_mandir}/man1/setup-tool.1*

%changelog
%autochangelog
